/*
 * vcard.h
 *
 * Copyright 2019 Michael Rasmussen <mir@datanom.net>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
 * MA 02110-1301, USA.
 */

#ifndef __VCARD_PARSER_H__
#define __VCARD_PARSER_H__

#include <glib.h>

G_BEGIN_DECLS

#include <stdio.h>
#include <vcard-parser.h>

typedef enum {
	DETECT,
	VERSION_2_1,
	VERSION_3_0,
	VERSION_4_0,
} VCardVersion;

typedef struct _VCard VCard;

VCard* VCard_new(VCardVersion version);
VCard* VCard_new_from_text(const gchar* text, VCardVersion version);
VCard* VCard_new_from_file(FILE* file, VCardVersion version);
void VCard_print(VCard* object);
void VCard_print_fd(VCard* object, int fd);

G_END_DECLS

#endif
